﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Collections;

namespace acmesoft.web
{
    public partial class Main : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page.User.Identity.Name != "" && Page.Request.QueryString["OrgId"] != null && !Page.IsPostBack && Page.Request.QueryString["RoleId"] != null)
            {
                string orgName, orgId, roleId;
                Application app = new Application();

                Session.Add("ACTIVE_ORGANIZATION_ID", Page.Request.QueryString["OrgId"]);
                Session.Add("USER_ID", app.GetUserId(Page.User.Identity.Name));
                app.GetUserRoleInOrganization(Session.Contents["USER_ID"].ToString());
                Session.Add("DEFAULT_ORGANIZATION_ID", app.defaultOrganization);
                Session.Add("SMART_PLAN_USER", app.SmartPlanUser);
                Session.Add("ORGANIZATION_NAMES", app.OrganizationNames);
                Session.Add("ROLE_STAGES", app.RoleStages);
                app.GetApplications(Session.Contents["USER_ID"].ToString(),
                    app.SmartPlanUser[Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()].ToString(),
                    Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString());
                Session.Add("APPLICATIONS", app.Applications);

                Hashtable OrganizationNames = (Hashtable)Session.Contents["ORGANIZATION_NAMES"];
                Hashtable SmartPlanUser = (Hashtable)Session.Contents["SMART_PLAN_USER"];

                LabelWelcome.Text = "Welcome back ";
                LabelMenu.Text = OrganizationNames[Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()].ToString();

                for (int i = 0; i < app.dsApplications.Tables[0].Rows.Count; i++)
                {
                    string nodeTitle = app.dsApplications.Tables[0].Rows[i].ItemArray[2].ToString();
                    string nodePath = app.dsApplications.Tables[0].Rows[i].ItemArray[5].ToString();
                    string nodeValue = app.dsApplications.Tables[0].Rows[i].ItemArray[6].ToString();
                    string nodeId = app.dsApplications.Tables[0].Rows[i].ItemArray[0].ToString();
                    string nodeNavUrl = "~/Default.aspx?AppId=" + nodeId + "&OrgId=" + Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()
                        + "&RoleId=" + SmartPlanUser[Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()].ToString();
                    TreeNode node = new TreeNode(nodeTitle, nodeValue, "", nodeNavUrl, "_self");
                    TreeView1.Nodes[0].ChildNodes.Add(node);
                    if (i < app.userOrganizationRoles.Tables[0].Rows.Count)
                    {
                        orgName = app.userOrganizationRoles.Tables[0].Rows[i].ItemArray[0].ToString();
                        orgId = app.userOrganizationRoles.Tables[0].Rows[i].ItemArray[1].ToString();
                        roleId = app.userOrganizationRoles.Tables[0].Rows[i].ItemArray[2].ToString();
                        MenuItem item = new MenuItem(orgName, "", "", "~/Default.aspx?OrgId=" + orgId + "&RoleId=" + roleId);
                        Menu1.Items.Add(item);
                    }
                }
            }
            else if (Page.User.Identity.Name != "" && !Page.IsPostBack && (Page.Request.QueryString["OrgId"] == null && Page.Request.QueryString["RoleId"] == null))
            {
                string orgName, orgId, roleId;
                Application app = new Application();

                Session.Add("USER_ID", app.GetUserId(Page.User.Identity.Name));
                app.GetUserRoleInOrganization(Session.Contents["USER_ID"].ToString());
                Session.Add("DEFAULT_ORGANIZATION_ID", app.defaultOrganization);
                Session.Add("ACTIVE_ORGANIZATION_ID", app.defaultOrganization);
                Session.Add("SMART_PLAN_USER", app.SmartPlanUser);
                Session.Add("ORGANIZATION_NAMES", app.OrganizationNames);
                Session.Add("ROLE_STAGES", app.RoleStages);
                app.GetApplications(Session.Contents["USER_ID"].ToString(),
                    app.SmartPlanUser[Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()].ToString(),
                    Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString());
                Session.Add("APPLICATIONS", app.Applications);

                Hashtable OrganizationNames = (Hashtable)Session.Contents["ORGANIZATION_NAMES"];
                Hashtable SmartPlanUser = (Hashtable)Session.Contents["SMART_PLAN_USER"];

                LabelWelcome.Text = "Welcome back ";
                LabelMenu.Text = OrganizationNames[Session.Contents["DEFAULT_ORGANIZATION_ID"].ToString()].ToString();

                for (int i = 0; i < app.dsApplications.Tables[0].Rows.Count; i++)
                {
                    string nodeTitle = app.dsApplications.Tables[0].Rows[i].ItemArray[2].ToString();
                    string nodePath = app.dsApplications.Tables[0].Rows[i].ItemArray[5].ToString();
                    string nodeValue = app.dsApplications.Tables[0].Rows[i].ItemArray[6].ToString();
                    string nodeId = app.dsApplications.Tables[0].Rows[i].ItemArray[0].ToString();
                    string nodeNavUrl = "~/Default.aspx?AppId=" + nodeId + "&OrgId=" + Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()
                        + "&RoleId=" + SmartPlanUser[Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()].ToString();
                    TreeNode node = new TreeNode(nodeTitle, nodeValue, "", nodeNavUrl, "_self");
                    TreeView1.Nodes[0].ChildNodes.Add(node);
                    if (i < app.userOrganizationRoles.Tables[0].Rows.Count)
                    {
                        orgName = app.userOrganizationRoles.Tables[0].Rows[i].ItemArray[0].ToString();
                        orgId = app.userOrganizationRoles.Tables[0].Rows[i].ItemArray[1].ToString();
                        roleId = app.userOrganizationRoles.Tables[0].Rows[i].ItemArray[2].ToString();
                        MenuItem item = new MenuItem(orgName, "", "", "~/Default.aspx?OrgId=" + orgId + "&RoleId=" + roleId);
                        Menu1.Items.Add(item);
                    }
                }
            }
            if (!Page.IsPostBack && Page.User.Identity.Name == "")
            {
                LabelWelcome.Text = "Welcome Guest";
                TreeNode node = new TreeNode("Login", "", "", "~/Default.aspx?AppId=6f44544d-9cda-401f-b662-6d901c98b2d4", "_self");
                TreeView1.Nodes[0].ChildNodes.Add(node);
            }
        }
    }
}
