﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CourseObjectives.ascx.cs"
    Inherits="acmesoft.web.ascx.CourseObjectives" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the Course Objective with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
</script>

<cc1:Grid ID="gridCourseObjectives" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    RowEditTemplateId="tplRowEdit" DataSourceID="SqlDataSourceCourseObjectives" OnInsertCommand="grid1_InsertCommand"
    Width="100%" OnUpdateCommand="grid1_UpdateCommand">
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="Id" Width="200px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Course Objective" Width="50%">
            <TemplateSettings RowEditTemplateControlId="txtName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="GoalName" HeaderText="Goal Name"
            Width="50%">
            <TemplateSettings RowEditTemplateControlId="ddlAbstactGoals" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
            Width="120px">
            <%--<TemplateSettings RowEditTemplateControlId="ddlUsers" RowEditTemplateControlPropertyName="value" />--%>
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="150px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
            Width="150px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtExp" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="viewOrder" HeaderText="View Order"
            Width="150px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtViewOrder" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
            Width="120" runat="server" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 380px; height: 180px;">
                                <legend>Course Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            Name:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtName" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Goal Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlAbstactGoals" DataSourceID="SqlDataSourceAbstactGoals"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="50"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <%--<tr>
                                        <td>
                                            User Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlUsers" DataSourceID="SqlDataSourceUsers"
                                                DataValueField="userId" DataTextField="UserName" CssClass="ob_gEC" Width="250"
                                                Height="50" AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>--%>
                                    <tr>
                                        <td>
                                            Code:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtCode" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Explanation:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtExp" Width="250" TextMode="MultiLine" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            View Order:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="txtViewOrder" CssClass="ob_gEC" Width="70"
                                                Height="100">
                                                <asp:ListItem Value="0">0</asp:ListItem>
                                                <asp:ListItem Value="1">1</asp:ListItem>
                                                <asp:ListItem Value="2">2</asp:ListItem>
                                                <asp:ListItem Value="3">3</asp:ListItem>
                                                <asp:ListItem Value="4">4</asp:ListItem>
                                                <asp:ListItem Value="5">5</asp:ListItem>
                                                <asp:ListItem Value="6">6</asp:ListItem>
                                                <asp:ListItem Value="7">7</asp:ListItem>
                                                <asp:ListItem Value="8">8</asp:ListItem>
                                                <asp:ListItem Value="9">9</asp:ListItem>
                                                <asp:ListItem Value="10">10</asp:ListItem>
                                            </cc1:OboutDropDownList>
                                            <%--<cc1:OboutTextBox runat="server" ID="txtViewOrder" Width="20" />
                                            <asp:Label ID="Label3" runat="server" Text="(A number between [0 - 10])" Height="17"></asp:Label>
                                        </td>--%>
                                    </tr>
                                </table>
                            </fieldset>
                            <asp:Label runat="server" ID="txtId" Width="6" Enabled="false" />
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<asp:Label ID="Label1" runat="server" ForeColor="Red"></asp:Label>
<asp:SqlDataSource ID="SqlDataSourceCourseObjectives" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblCourseObjectives WHERE (id = @id)" 
    SelectCommand="SELECT AcmeSoft.tblCourseObjectives.id, AcmeSoft.tblCourseObjectives.goalId, AcmeSoft.tblCourseObjectives.userId, AcmeSoft.tblCourseObjectives.name, AcmeSoft.tblCourseObjectives.code, AcmeSoft.tblCourseObjectives.exp, AcmeSoft.tblCourseObjectives.viewOrder, AcmeSoft.tblAbstractGoals.name AS GoalName, aspnet_Users.UserName FROM AcmeSoft.tblCourseObjectives INNER JOIN AcmeSoft.tblAbstractGoals ON AcmeSoft.tblCourseObjectives.goalId = AcmeSoft.tblAbstractGoals.id INNER JOIN aspnet_Users ON AcmeSoft.tblCourseObjectives.userId = aspnet_Users.UserId  WHERE (AcmeSoft.tblAbstractGoals.organizationId = @organizationId) ORDER BY AcmeSoft.tblCourseObjectives.name"
    InsertCommand="INSERT INTO AcmeSoft.tblCourseObjectives(goalId, userId, name, code, exp) VALUES (@GoalName, @UserName, @name, @code, @exp)"
    UpdateCommand="UPDATE AcmeSoft.tblCourseObjectives SET goalId = @GoalName, userId = @UserName, name = @name, viewOrder = @viewOrder code = @code, exp = @exp WHERE id = @id">
     <SelectParameters>
        <asp:SessionParameter Name="organizationId" SessionField="ACTIVE_ORGANIZATION_ID" />
    </SelectParameters>
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="GoalName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="id" />
        <asp:Parameter Name="viewOrder" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="GoalName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="viewOrder" />
    </InsertParameters>
</asp:SqlDataSource>
<%--<asp:SqlDataSource ID="SqlDataSourceUsers" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT UserId, UserName FROM aspnet_Users"></asp:SqlDataSource>--%>
<asp:SqlDataSource ID="SqlDataSourceAbstactGoals" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, organizationId, name FROM AcmeSoft.tblAbstractGoals WHERE (organizationId = @organizationId) ORDER BY name">
    <SelectParameters>
        <asp:SessionParameter Name="organizationId" SessionField="ACTIVE_ORGANIZATION_ID" />
    </SelectParameters>
</asp:SqlDataSource>
