﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CourseTopicMaterials.ascx.cs"
    Inherits="acmesoft.web.ascx.CourseTopicMaterials" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>
<%@ Register TagPrefix="cc1" Namespace="OboutInc.FileUpload" Assembly="obout_FileUpload" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the Course Topic Material with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
    function onBeforeClientUpdate(record) {
        var already = document.getElementById("tempInputFile");
        if (already != null)
            already.parentNode.removeChild(already);

        var el = document.getElementById("filepath");

        if (el.value.length > 0) {
            var ext = "";
            var str = el.value;
            var dotPos = str.lastIndexOf(".");
            var slashPos = str.lastIndexOf("/");
            var backSlashPos = str.lastIndexOf("\\");

            if (dotPos > slashPos && dotPos > backSlashPos) ext = str.substr(dotPos + 1).toLowerCase();

            var saved = null;
            var hidden = document.getElementById("txtFilePath");
            hidden.value = el.value;

            if (document.all && !window.opera) {
                el.parentNode.insertBefore(el.cloneNode(false), el);
                saved = el.parentNode.removeChild(el);
            }

            saved.id = "tempInputFile";
            document.getElementById("hidden_span").appendChild(saved);
            hidden.value = el.value.substr(backSlashPos + 1, el.value.length - backSlashPos);
        }

        return true;
    }
    function onClientUpdate(record) {
        if (document.getElementById("tempInputFile") != null) {
            function waitServerResponse() {
                //                if (document.getElementById("<%= ServerResponse.ClientID %>").value.length == 0)
                //                    grid1.refresh();
                //                else
                setTimeout(waitServerResponse, 200);
            }

            document.getElementById("<%= ServerResponse.ClientID %>").value = record.id;
            setTimeout(function() { document.forms[0].submit(); }, 100);
            setTimeout(waitServerResponse, 200);
        }
    }
</script>

<cc1:Grid ID="grid1" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    RowEditTemplateId="tplRowEdit" DataSourceID="SqlDataSource1" OnInsertCommand="grid1_InsertCommand"
    Width="100%" CallbackMode="true" AllowGrouping="false" GroupBy="TopicName" HideColumnsWhenGrouping="true"
    EnableRecordHover="true" ShowGroupsInfo="true">
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" OnClientUpdate="onClientUpdate"
        OnBeforeClientUpdate="onBeforeClientUpdate" OnBeforeClientInsert="onBeforeClientUpdate"
        OnClientInsert="onClientUpdate" />
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="Id" Width="200px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Course Topic Material"
            Width="30%" Wrap="true">
            <TemplateSettings RowEditTemplateControlId="txtName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="TopicName" HeaderText="Topic Name"
            Width="30%">
            <TemplateSettings RowEditTemplateControlId="ddlCourseTopics" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
            Width="120px">
            <TemplateSettings RowEditTemplateControlId="ddlUsers" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="150px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="filePath" HeaderText="File Name"
            Width="40%" Visible="True">
            <TemplateSettings RowEditTemplateControlId="txtFilePath" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
            Width="150px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtExp" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="viewOrder" HeaderText="View Order"
            Width="0px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtViewOrder" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
            Width="120" runat="server" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 510px; height: 213px;">
                                <legend>Course Topic Material Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            Name:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtName" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Course Topic Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlCourseTopics" DataSourceID="SqlDataSourceCourseTopics"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="350" Height="50"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            User Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlUsers" DataSourceID="SqlDataSourceUsers"
                                                DataValueField="userId" DataTextField="UserName" CssClass="ob_gEC" Width="250"
                                                Height="50" AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Code:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtCode" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            File:
                                        </td>
                                        <td>
                                            <input type="hidden" id="txtFilePath" name="txtFilePath" />
                                            <input type="file" id="filepath" name="filepath" style="width: 200px" onkeydown="return false;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Explanation:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtExp" Width="250" TextMode="MultiLine" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Ranking:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="txtViewOrder" CssClass="ob_gEC" Width="70"
                                                Height="100">
                                                <asp:ListItem Value="0">0</asp:ListItem>
                                                <asp:ListItem Value="1">1</asp:ListItem>
                                                <asp:ListItem Value="2">2</asp:ListItem>
                                                <asp:ListItem Value="3">3</asp:ListItem>
                                                <asp:ListItem Value="4">4</asp:ListItem>
                                                <asp:ListItem Value="5">5</asp:ListItem>
                                                <asp:ListItem Value="6">6</asp:ListItem>
                                                <asp:ListItem Value="7">7</asp:ListItem>
                                                <asp:ListItem Value="8">8</asp:ListItem>
                                                <asp:ListItem Value="9">9</asp:ListItem>
                                                <asp:ListItem Value="10">10</asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <asp:Label runat="server" ID="txtId" Width="6" Enabled="false" />
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<span id="hidden_span" style="display: none"></span>
<asp:HiddenField runat="server" ID="ServerResponse" Value="" />
<cc1:FileUploadProgress ID="FileUploadProgress1" runat="server" />
<asp:Label ID="Label1" runat="server" ForeColor="Red"></asp:Label>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblCourseTopicMaterials WHERE (id = @id)"
    SelectCommand="SELECT AcmeSoft.tblCourseTopicMaterials.topicId, AcmeSoft.tblCourseTopicMaterials.userId, AcmeSoft.tblCourseTopicMaterials.name, AcmeSoft.tblCourseTopicMaterials.id, AcmeSoft.tblCourseTopicMaterials.code, AcmeSoft.tblCourseTopicMaterials.viewOrder, AcmeSoft.tblCourseTopicMaterials.filePath, AcmeSoft.tblCourseTopicMaterials.exp, aspnet_Users.UserName, AcmeSoft.tblCourseTopics.name AS TopicName FROM AcmeSoft.tblCourseTopicMaterials INNER JOIN aspnet_Users ON AcmeSoft.tblCourseTopicMaterials.userId = aspnet_Users.UserId INNER JOIN AcmeSoft.tblCourseTopics ON AcmeSoft.tblCourseTopicMaterials.topicId = AcmeSoft.tblCourseTopics.id"
    InsertCommand="INSERT INTO AcmeSoft.tblCourseTopicMaterials(topicId, userId, name, code, exp, filePath, viewOrder) VALUES (@TopicName, @UserName, @name, @code, @exp, @filePath, @viewOrder)"
    UpdateCommand="UPDATE AcmeSoft.tblCourseTopicMaterials SET userId = @UserName, name = @name, code = @code, filePath = @filePath, exp = @exp, viewOrder = @viewOrder WHERE id = @id">
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="filePath" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="viewOrder" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="TopicName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="filePath" />
        <asp:Parameter Name="viewOrder" />
    </InsertParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceUsers" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT UserId, UserName FROM aspnet_Users"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourseTopics" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name FROM AcmeSoft.tblCourseTopics"></asp:SqlDataSource>
