﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.Collections;

namespace acmesoft.web.ascx
{
    public partial class Courses : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Hashtable SmartPlanUser = (Hashtable)Session.Contents["SMART_PLAN_USER"];
            Hashtable RoleStages = (Hashtable)Session.Contents["ROLE_STAGES"];
            string roleId = "";

            if (Session.Contents["ACTIVE_ORGANIZATION_ID"] != null)
                roleId = SmartPlanUser[Session.Contents["ACTIVE_ORGANIZATION_ID"].ToString()].ToString();
            else
                roleId = SmartPlanUser[Session.Contents["DEFAULT_ORGANIZATION_ID"].ToString()].ToString();
            int roleStage = int.Parse(RoleStages[roleId].ToString());

            if (roleStage == 0) //BlockedUsers
            {
                gridCourses.Visible = false;
                Label1.Text = "Sorry, you are blocked by administrators.";
            }
            else if (roleStage < 4) //ReadOnly
            {
                gridCourses.Columns[7].AllowDelete = false;
                gridCourses.Columns[7].AllowEdit = false;
                gridCourses.AllowAddingRecords = false;
            }
            else if (roleStage == 4) //IUser
            {
                gridCourses.Columns[7].AllowDelete = false;
                gridCourses.Columns[7].AllowEdit = false;
                gridCourses.AllowAddingRecords = true;
            }
            else if (roleStage == 5) //UpdateUsers
            {
                gridCourses.Columns[7].AllowDelete = false;
                gridCourses.Columns[7].AllowEdit = true;
                gridCourses.AllowAddingRecords = false;
            }
            else if (roleStage == 7 || roleStage == 6) //ModifyUsers & InsertUsers
            {
                gridCourses.Columns[7].AllowDelete = false;
                gridCourses.Columns[7].AllowEdit = true;
                gridCourses.AllowAddingRecords = true;
            }
            else if (roleStage == 8) //Administrators
            {
                gridCourses.Columns[7].AllowDelete = true;
                gridCourses.Columns[7].AllowEdit = true;
                gridCourses.AllowAddingRecords = true;
            }
            else if (roleStage < 8) //++Administrator
            {
                gridCourses.Columns[7].AllowDelete = true;
                gridCourses.Columns[7].AllowEdit = true;
                gridCourses.AllowAddingRecords = true;
            }

        }

        protected void grid1_InsertCommand(object sender, Obout.Grid.GridRecordEventArgs e)
        {

            SqlConnection myConn = new SqlConnection(SqlDataSourceCourses.ConnectionString);
            myConn.Open();

            SqlCommand myComm = new SqlCommand("INSERT INTO AcmeSoft.tblCourses(goalId, userId, name, code, durationType, duration, exp, credit)"
                + " VALUES (@GoalName, @UserName, @name, @code, @durationType, @duration, @exp, @credit)", myConn);

            myComm.Parameters.Add("@GoalName", SqlDbType.VarChar).Value = e.Record["GoalName"];
            myComm.Parameters.Add("@UserName", SqlDbType.VarChar).Value = Session.Contents["USER_ID"];
            myComm.Parameters.Add("@name", SqlDbType.VarChar).Value = e.Record["name"];
            myComm.Parameters.Add("@code", SqlDbType.VarChar).Value = e.Record["code"];
            myComm.Parameters.Add("@durationType", SqlDbType.VarChar).Value = e.Record["durationType"];
            myComm.Parameters.Add("@duration", SqlDbType.VarChar).Value = e.Record["duration"];
            myComm.Parameters.Add("@exp", SqlDbType.VarChar).Value = e.Record["exp"];
            myComm.Parameters.Add("@credit", SqlDbType.VarChar).Value = e.Record["credit"];

            myComm.ExecuteNonQuery();
            myConn.Close();
        }
        protected void gridCourseTopics_InsertCommand(object sender, Obout.Grid.GridRecordEventArgs e)
        {

            SqlConnection myConn = new SqlConnection(SqlDataSourceCourseTopics.ConnectionString);
            myConn.Open();

            SqlCommand myComm = new SqlCommand("INSERT INTO AcmeSoft.tblCourseTopics(courseId, objectiveId, userId, name, code, durationType, duration, exp, viewOrder)"
                + " VALUES (@CourseName, @ObjName, @UserName, @name, @code, @durationType, @duration, @exp, @viewOrder)", myConn);

            myComm.Parameters.Add("@CourseName", SqlDbType.VarChar).Value = e.Record["CourseName"];
            myComm.Parameters.Add("@UserName", SqlDbType.VarChar).Value = e.Record["UserName"];
            myComm.Parameters.Add("@ObjName", SqlDbType.VarChar).Value = e.Record["ObjName"];
            myComm.Parameters.Add("@name", SqlDbType.VarChar).Value = e.Record["name"];
            myComm.Parameters.Add("@code", SqlDbType.VarChar).Value = e.Record["code"];
            myComm.Parameters.Add("@durationType", SqlDbType.VarChar).Value = e.Record["durationType"];
            myComm.Parameters.Add("@duration", SqlDbType.VarChar).Value = e.Record["duration"];
            myComm.Parameters.Add("@exp", SqlDbType.VarChar).Value = e.Record["exp"];
            myComm.Parameters.Add("@viewOrder", SqlDbType.VarChar).Value = e.Record["viewOrder"];

            myComm.ExecuteNonQuery();
            myConn.Close();
        }
    }
}