﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ManageUsers.ascx.cs" Inherits="acmesoft.web.ascx.ManageUsers" %>

<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the User with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
</script>


<cc1:Grid ID="grid1" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    RowEditTemplateId="tplRowEdit" DataSourceID="SqlDataSourceUsersInRolesInOrganizatios" 
    Width="100%" OnInsertCommand="grid1_InsertCommand" OnDeleteCommand="grid1_DeleteCommand">
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserId" HeaderText="UserId" Width="1px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtUserId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="RoleId" HeaderText="RoleId" Width="1px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtRoleId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="OrganizationId" HeaderText="OrgId" Width="1px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtOrgId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name" Width="200px">
            <TemplateSettings RowEditTemplateControlId="txtUserName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="RoleName" HeaderText="Role Name" Width="200px">
            <TemplateSettings RowEditTemplateControlId="txtRoleName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="OrgName" HeaderText="Organization Name" Width="200px">
            <TemplateSettings RowEditTemplateControlId="txtOrgName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowDelete="true" HeaderText="Delete"
            Width="100" runat="server" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 350px; height: 150px;">
                                <legend>Role Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            User:
                                        </td>
                                        <td>
                                            <%--<cc1:OboutTextBox runat="server" ID="txtUserName" Width="250" />--%>
                                            <cc1:OboutDropDownList runat="server" ID="txtUserName" DataSourceID="SqlDataSourceUsers"
                                                DataValueField="UserId" DataTextField="UserName" CssClass="ob_gEC" Width="250" Height="104"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Role:
                                        </td>
                                        <td>
                                            <%--<cc1:OboutTextBox runat="server" ID="txtRoleName" Width="250" />--%>
                                            <cc1:OboutDropDownList runat="server" ID="txtRoleName" DataSourceID="SqlDataSourceRoles"
                                                DataValueField="RoleId" DataTextField="RoleName" CssClass="ob_gEC" Width="250" Height="104"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Organization:
                                        </td>
                                        <td>
                                            <%--<cc1:OboutTextBox runat="server" ID="txtOrgName" Width="250" />--%>
                                            <cc1:OboutDropDownList runat="server" ID="txtOrgName" DataSourceID="SqlDataSourceOrganizations"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="104"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <asp:Label runat="server" ID="txtUserId" Width="6" Enabled="false" />
                            <asp:Label runat="server" ID="txtRoleId" Width="6" Enabled="false" />
                            <asp:Label runat="server" ID="txtOrgId" Width="6" Enabled="false" />
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<asp:Label ID="Label1" runat="server" ForeColor="Red"></asp:Label>

<asp:SqlDataSource ID="SqlDataSourceUsers" runat="server" 
    ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>" 
    SelectCommand="SELECT UserName, UserId FROM aspnet_Users"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceRoles" runat="server" 
    ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>" 
    SelectCommand="SELECT RoleId, RoleName FROM aspnet_Roles"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceOrganizations" runat="server" 
    ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>" 
    SelectCommand="SELECT id, name FROM AcmeSoft.tblOrganizations"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceUsersInRolesInOrganizatios" runat="server" 
    ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>" 
    InsertCommand="INSERT INTO AcmeSoft.UsersInRolesInOrganizations(UserId, RoleId, OrganizationId) VALUES (@userId, @roleId, @orgId)" 
    SelectCommand="SELECT AcmeSoft.UsersInRolesInOrganizations.UserId, AcmeSoft.UsersInRolesInOrganizations.RoleId, AcmeSoft.UsersInRolesInOrganizations.OrganizationId, aspnet_Users.UserName, aspnet_Roles.RoleName, AcmeSoft.tblOrganizations.name AS OrgName FROM AcmeSoft.UsersInRolesInOrganizations INNER JOIN aspnet_Roles ON AcmeSoft.UsersInRolesInOrganizations.RoleId = aspnet_Roles.RoleId INNER JOIN aspnet_Users ON AcmeSoft.UsersInRolesInOrganizations.UserId = aspnet_Users.UserId INNER JOIN AcmeSoft.tblOrganizations ON AcmeSoft.UsersInRolesInOrganizations.OrganizationId = AcmeSoft.tblOrganizations.id">     
</asp:SqlDataSource>
