﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MasterDetail.ascx.cs"
    Inherits="acmesoft.web.ascx.MasterDetail" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>
<%@ Register TagPrefix="cc1" Namespace="OboutInc.FileUpload" Assembly="obout_FileUpload" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the Goal with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
    function onBeforeClientUpdate(record) {
        var already = document.getElementById("tempInputFile");
        if (already != null)
            already.parentNode.removeChild(already);

        var el = document.getElementById("filepath");

        if (el.value.length > 0) {
            var ext = "";
            var str = el.value;
            var dotPos = str.lastIndexOf(".");
            var slashPos = str.lastIndexOf("/");
            var backSlashPos = str.lastIndexOf("\\");

            if (dotPos > slashPos && dotPos > backSlashPos) ext = str.substr(dotPos + 1).toLowerCase();

            var saved = null;
            var hidden = document.getElementById("txtFilePath");
            hidden.value = el.value;

            if (document.all && !window.opera) {
                el.parentNode.insertBefore(el.cloneNode(false), el);
                saved = el.parentNode.removeChild(el);
            }

            saved.id = "tempInputFile";
            document.getElementById("hidden_span").appendChild(saved);
            hidden.value = el.value.substr(backSlashPos + 1, el.value.length - backSlashPos);
        }

        return true;
    }
    function onClientUpdate(record) {
        if (document.getElementById("tempInputFile") != null) {
            function waitServerResponse() {
                //                if (document.getElementById("<%= ServerResponse.ClientID %>").value.length == 0)
                //                    grid1.refresh();
                //                else
                setTimeout(waitServerResponse, 200);
            }

            document.getElementById("<%= ServerResponse.ClientID %>").value = record.id;
            //setTimeout(function() { document.forms[0].submit(); }, 100);
            setTimeout(waitServerResponse, 200);
        }
    }
</script>

<cc1:Grid ID="gridAbstractGoals" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    DataSourceID="SqlDataSourceAbstractGoal" OnInsertCommand="gridAbstractGoals_InsertCommand"
    CallbackMode="true" RowEditTemplateId="tplRowEdit" Serialize="true" Width="100%"
    OnUpdateCommand="gridAbstractGoals_UpdateCommand" >
    <MasterDetailSettings LoadingMode="OnCallback" ShowEmptyDetails="false" />
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
    <DetailGrids>
        <cc1:DetailGrid ID="gridCourses" runat="server" AutoGenerateColumns="false" FolderStyle="~/elements/style/premiere_blue"
            DataSourceID="SqlDataSourceCourses" RowEditTemplateId="tplRowEditCourses" CallbackMode="true"
            Serialize="true" ForeignKeys="id">
            <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
            <MasterDetailSettings LoadingMode="OnCallback" />
            <DetailGrids>
                <cc1:DetailGrid ID="gridCourseTopics" runat="server" AutoGenerateColumns="False"
                    FolderStyle="~/elements/style/premiere_blue" RowEditTemplateId="tplRowEditCourseTopics"
                    DataSourceID="SqlDataSourceCourseTopics" OnInsertCommand="gridCourseTopics_InsertCommand"
                    Width="100%" ForeignKeys="id">
                    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
                    <MasterDetailSettings LoadingMode="OnCallback" />
                    <DetailGrids>
                        <cc1:DetailGrid ID="gridCourseTopicMaterials" runat="server" AutoGenerateColumns="False"
                            FolderStyle="~/elements/style/premiere_blue" RowEditTemplateId="tplRowEditCourseTopicMaterials"
                            DataSourceID="SqlDataSourceCourseTopicMaterials" OnInsertCommand="gridCourseTopicMaterials_InsertCommand"
                            CallbackMode="True" ForeignKeys="id">
                            <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" OnClientUpdate="onClientUpdate"
                                OnBeforeClientUpdate="onBeforeClientUpdate" OnBeforeClientInsert="onBeforeClientUpdate"
                                OnClientInsert="onClientUpdate" />
                            <Columns>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="Id" Width="200px"
                                    Visible="false">
                                    <TemplateSettings RowEditTemplateControlId="txtIdCourseTopicMaterials" RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Material" Width="190">
                                    <TemplateSettings RowEditTemplateControlId="txtNameCourseTopicMaterials" RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="TopicName" HeaderText="Topic Name"
                                    Width="190">
                                    <TemplateSettings RowEditTemplateControlId="ddlCourseTopicsCourseTopicMaterials"
                                        RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
                                    Width="120px">
                                    <TemplateSettings RowEditTemplateControlId="ddlUsersCourseTopicMaterials" RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="150px"
                                    Visible="false">
                                    <TemplateSettings RowEditTemplateControlId="txtCodeCourseTopicMaterials" RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="filePath" HeaderText="File Name"
                                    Width="240" Visible="True">
                                    <TemplateSettings RowEditTemplateControlId="txtFilePath" RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
                                    Width="150px" Visible="false">
                                    <TemplateSettings RowEditTemplateControlId="txtExpCourseTopicMaterials" RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ConvertEmptyStringToNull="False" DataField="viewOrder" HeaderText="View Order"
                                    Width="0px" Visible="false">
                                    <TemplateSettings RowEditTemplateControlId="txtViewOrderCourseTopicMaterials" RowEditTemplateControlPropertyName="value" />
                                </cc1:Column>
                                <cc1:Column ID="Column4" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
                                    Width="120" runat="server" />
                            </Columns>
                            <TemplateSettings RowEditTemplateId="tplRowEditCourseTopicMaterials" />
                            <Templates>
                                <cc1:GridTemplate runat="server" ID="tplRowEditCourseTopicMaterials">
                                    <Template>
                                        <table class="rowEditTable">
                                            <tr>
                                                <td valign="top">
                                                    <fieldset style="width: 410px; height: 213px;">
                                                        <legend>Course Topic Material Information</legend>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    Name:
                                                                </td>
                                                                <td>
                                                                    <cc1:OboutTextBox runat="server" ID="txtNameCourseTopicMaterials" Width="250" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    Course Topic Name:
                                                                </td>
                                                                <td>
                                                                    <cc1:OboutDropDownList runat="server" ID="ddlCourseTopicsCourseTopicMaterials" DataSourceID="SqlDataSourceCourseTopicsCourseTopicMaterials"
                                                                        DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="50"
                                                                        AppendDataBoundItems="true">
                                                                        <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                                                    </cc1:OboutDropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    User Name:
                                                                </td>
                                                                <td>
                                                                    <cc1:OboutDropDownList runat="server" ID="ddlUsers" DataSourceID="SqlDataSourceUsers"
                                                                        DataValueField="userId" DataTextField="UserName" CssClass="ob_gEC" Width="250"
                                                                        Height="50" AppendDataBoundItems="true">
                                                                        <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                                                    </cc1:OboutDropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    Code:
                                                                </td>
                                                                <td>
                                                                    <cc1:OboutTextBox runat="server" ID="txtCodeCourseTopicMaterials" Width="250" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    File:
                                                                </td>
                                                                <td>
                                                                    <input type="hidden" id="txtFilePath" name="txtFilePath" />
                                                                    <input type="file" id="filepath" name="filepath" style="width: 200px" onkeydown="return false;" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    Explanation:
                                                                </td>
                                                                <td>
                                                                    <cc1:OboutTextBox runat="server" ID="txtExpCourseTopicMaterials" Width="250" TextMode="MultiLine" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    View Order:
                                                                </td>
                                                                <td>
                                                                    <cc1:OboutDropDownList runat="server" ID="txtViewOrderCourseTopicMaterials" CssClass="ob_gEC"
                                                                        Width="70" Height="100">
                                                                        <asp:ListItem Value="0">0</asp:ListItem>
                                                                        <asp:ListItem Value="1">1</asp:ListItem>
                                                                        <asp:ListItem Value="2">2</asp:ListItem>
                                                                        <asp:ListItem Value="3">3</asp:ListItem>
                                                                        <asp:ListItem Value="4">4</asp:ListItem>
                                                                        <asp:ListItem Value="5">5</asp:ListItem>
                                                                        <asp:ListItem Value="6">6</asp:ListItem>
                                                                        <asp:ListItem Value="7">7</asp:ListItem>
                                                                        <asp:ListItem Value="8">8</asp:ListItem>
                                                                        <asp:ListItem Value="9">9</asp:ListItem>
                                                                        <asp:ListItem Value="10">10</asp:ListItem>
                                                                    </cc1:OboutDropDownList>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                    <asp:Label runat="server" ID="txtIdCourseTopicMaterials" Width="6" Enabled="false" />
                                                </td>
                                            </tr>
                                        </table>
                                    </Template>
                                </cc1:GridTemplate>
                            </Templates>
                        </cc1:DetailGrid>
                    </DetailGrids>
                    <Columns>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="Id" Width="200px"
                            Visible="false">
                            <TemplateSettings RowEditTemplateControlId="txtIdCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Course Topic" Width="230">
                            <TemplateSettings RowEditTemplateControlId="txtNameCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="CourseName" HeaderText="Course Name"
                            Width="200">
                            <TemplateSettings RowEditTemplateControlId="ddlCoursesCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="ObjName" HeaderText="Objective Name"
                            Width="200">
                            <TemplateSettings RowEditTemplateControlId="ddlCourseObjectivesCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
                            Width="120">
                            <TemplateSettings RowEditTemplateControlId="ddlUsersCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="150px"
                            Visible="false">
                            <TemplateSettings RowEditTemplateControlId="txtCodeCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="durationType" HeaderText="Duration Type"
                            Width="200px" Visible="false">
                            <TemplateSettings RowEditTemplateControlId="ddlDurationTypeCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="duration" HeaderText="Duration"
                            Width="100px" Visible="false">
                            <TemplateSettings RowEditTemplateControlId="txtDurationCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
                            Width="150px" Visible="false">
                            <TemplateSettings RowEditTemplateControlId="txtExpCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ConvertEmptyStringToNull="False" DataField="viewOrder" HeaderText="View Order"
                            Width="0px" Visible="false">
                            <TemplateSettings RowEditTemplateControlId="txtViewOrderCourseTopics" RowEditTemplateControlPropertyName="value" />
                        </cc1:Column>
                        <cc1:Column ID="Column3" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
                            Width="120" />
                    </Columns>
                    <TemplateSettings RowEditTemplateId="tplRowEditCourseTopics" />
                    <Templates>
                        <cc1:GridTemplate runat="server" ID="tplRowEditCourseTopics">
                            <Template>
                                <table class="rowEditTable">
                                    <tr>
                                        <td valign="top">
                                            <fieldset style="width: 510px; height: 213px;">
                                                <legend>Course Information</legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            Course Objective Name:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutDropDownList runat="server" ID="ddlCourseObjectivesCourseTopics" DataSourceID="SqlDataSourceCourseObjectives"
                                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="50"
                                                                AppendDataBoundItems="true">
                                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                                            </cc1:OboutDropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            Course Name:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutDropDownList runat="server" ID="ddlCoursesCourseTopics" DataSourceID="SqlDataSourceCoursesCourseTopics"
                                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="350" Height="50"
                                                                AppendDataBoundItems="true">
                                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                                            </cc1:OboutDropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            User Name:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutDropDownList runat="server" ID="ddlUsersCourseTopics" DataSourceID="SqlDataSourceUsers"
                                                                DataValueField="userId" DataTextField="UserName" CssClass="ob_gEC" Width="250"
                                                                Height="50" AppendDataBoundItems="true">
                                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                                            </cc1:OboutDropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            Name:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutTextBox runat="server" ID="txtNameCourseTopics" Width="250" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            Code:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutTextBox runat="server" ID="txtCodeCourseTopics" Width="250" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            Duration:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutTextBox runat="server" ID="txtDurationCourseTopics" Width="50" />
                                                            <cc1:OboutDropDownList runat="server" ID="ddlDurationTypeCourseTopics" CssClass="ob_gEC"
                                                                Width="100" Height="52">
                                                                <asp:ListItem Value="1">day</asp:ListItem>
                                                                <asp:ListItem Value="7">week</asp:ListItem>
                                                                <asp:ListItem Value="30">mounth</asp:ListItem>
                                                            </cc1:OboutDropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            Explanation:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutTextBox runat="server" ID="txtExpCourseTopics" Width="250" TextMode="MultiLine" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            View Order:
                                                        </td>
                                                        <td>
                                                            <cc1:OboutDropDownList runat="server" ID="txtViewOrderCourseTopics" CssClass="ob_gEC"
                                                                Width="70" Height="100">
                                                                <asp:ListItem Value="0">0</asp:ListItem>
                                                                <asp:ListItem Value="1">1</asp:ListItem>
                                                                <asp:ListItem Value="2">2</asp:ListItem>
                                                                <asp:ListItem Value="3">3</asp:ListItem>
                                                                <asp:ListItem Value="4">4</asp:ListItem>
                                                                <asp:ListItem Value="5">5</asp:ListItem>
                                                                <asp:ListItem Value="6">6</asp:ListItem>
                                                                <asp:ListItem Value="7">7</asp:ListItem>
                                                                <asp:ListItem Value="8">8</asp:ListItem>
                                                                <asp:ListItem Value="9">9</asp:ListItem>
                                                                <asp:ListItem Value="10">10</asp:ListItem>
                                                            </cc1:OboutDropDownList>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                            <asp:Label runat="server" ID="txtIdCourseTopics" Width="6" Enabled="false" />
                                        </td>
                                    </tr>
                                </table>
                            </Template>
                        </cc1:GridTemplate>
                    </Templates>
                </cc1:DetailGrid>
            </DetailGrids>
            <Columns>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="Id" Width="0"
                    Visible="false">
                    <TemplateSettings RowEditTemplateControlId="txtIdCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Courses" Width="350px">
                    <TemplateSettings RowEditTemplateControlId="txtNameCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="GoalName" HeaderText="Goal Name"
                    Width="300px">
                    <TemplateSettings RowEditTemplateControlId="ddlAbstactGoalsCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
                    Width="120px">
                    <TemplateSettings RowEditTemplateControlId="ddlUsersCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="150px"
                    Visible="false">
                    <TemplateSettings RowEditTemplateControlId="txtCodeCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="durationType" HeaderText="Duration Type"
                    Width="200px" Visible="false">
                    <TemplateSettings RowEditTemplateControlId="ddlDurationTypeCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="duration" HeaderText="Duration"
                    Width="100px" Visible="false">
                    <TemplateSettings RowEditTemplateControlId="txtDurationCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
                    Width="150px" Visible="false">
                    <TemplateSettings RowEditTemplateControlId="txtExpCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ConvertEmptyStringToNull="False" DataField="credit" HeaderText="Credit"
                    Width="100px" Visible="false">
                    <TemplateSettings RowEditTemplateControlId="txtCreditCourses" RowEditTemplateControlPropertyName="value" />
                </cc1:Column>
                <cc1:Column ID="Column2" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
                    Width="120"/>
            </Columns>
            <TemplateSettings RowEditTemplateId="tplRowEditCourses" />
            <Templates>
                <cc1:GridTemplate runat="server" ID="tplRowEditCourses">
                    <Template>
                        <table class="rowEditTable">
                            <tr>
                                <td valign="top">
                                    <asp:Label runat="server" ID="txtIdCourses" Width="6" Enabled="false" />
                                    <fieldset style="width: 380px; height: 180px;">
                                        <legend>Course Information</legend>
                                        <table>
                                            <tr>
                                                <td>
                                                    Goal Name:
                                                </td>
                                                <td>
                                                    <cc1:OboutDropDownList runat="server" ID="ddlAbstactGoalsCourses" DataSourceID="SqlDataSourceAbstactGoals"
                                                        DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="50"
                                                        AppendDataBoundItems="true">
                                                        <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                                    </cc1:OboutDropDownList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    User Name:
                                                </td>
                                                <td>
                                                    <cc1:OboutDropDownList runat="server" ID="ddlUsersCourses" DataSourceID="SqlDataSourceUsers"
                                                        DataValueField="userId" DataTextField="UserName" CssClass="ob_gEC" Width="250"
                                                        Height="50" AppendDataBoundItems="true">
                                                        <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                                    </cc1:OboutDropDownList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Name:
                                                </td>
                                                <td>
                                                    <cc1:OboutTextBox runat="server" ID="txtNameCourses" Width="250" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Code:
                                                </td>
                                                <td>
                                                    <cc1:OboutTextBox runat="server" ID="txtCodeCourses" Width="250" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Duration:
                                                </td>
                                                <td>
                                                    <cc1:OboutTextBox runat="server" ID="txtDurationCourses" Width="50" />
                                                    <cc1:OboutDropDownList runat="server" ID="ddlDurationTypeCourses" CssClass="ob_gEC"
                                                        Width="100" Height="52">
                                                        <asp:ListItem Value="1">day</asp:ListItem>
                                                        <asp:ListItem Value="7">week</asp:ListItem>
                                                        <asp:ListItem Value="30">mounth</asp:ListItem>
                                                    </cc1:OboutDropDownList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Explanation:
                                                </td>
                                                <td>
                                                    <cc1:OboutTextBox runat="server" ID="txtExpCourses" Width="250" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Credit:
                                                </td>
                                                <td>
                                                    <cc1:OboutTextBox runat="server" ID="txtCreditCourses" Width="250" />
                                                </td>
                                            </tr>
                                        </table>
                                    </fieldset>
                                </td>
                            </tr>
                        </table>
                    </Template>
                </cc1:GridTemplate>
            </Templates>
        </cc1:DetailGrid>
    </DetailGrids>
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="id" Width="0"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtId" RowEditTemplateControlPropertyName="Text" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Goal Name" Width="300px">
            <TemplateSettings RowEditTemplateControlId="txtName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="OrgName" HeaderText="Organization Name"
            Width="300px">
            <TemplateSettings RowEditTemplateControlId="ddlOrganizations" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
            Width="200">
            <TemplateSettings RowEditTemplateControlId="ddlUsers" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="0"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
            Width="0" Wrap="true" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtExp" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="prerequisites" HeaderText="Prerequisites"
            Width="0" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtPrerequisites" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
            Width="120" runat="server" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <asp:Label runat="server" ID="txtId" Width="60" Enabled="false" />
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 480; height: 205px;">
                                <legend>Abstract Goal Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            Name:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtName" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Code:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtCode" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Explanation:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtExp" Width="400" TextMode="MultiLine" Height="50" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Prerequisites:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtPrerequisites" Width="400" TextMode="MultiLine"
                                                Height="50" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Organization Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlOrganizations" DataSourceID="SqlDataSourceOrganizations"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="50"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            User Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlUsers" DataSourceID="SqlDataSourceUsers"
                                                DataValueField="userId" DataTextField="UserName" CssClass="ob_gEC" Width="250"
                                                Height="50" AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<span id="hidden_span" style="display: none"></span>
<asp:HiddenField runat="server" ID="ServerResponse" Value="" />
<cc1:FileUploadProgress ID="FileUploadProgress1" runat="server" />
<asp:SqlDataSource ID="SqlDataSourceCoursesCourseTopics" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name FROM AcmeSoft.tblCourses"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourseObjectives" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name, exp FROM AcmeSoft.tblCourseObjectives"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceAbstactGoals" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name, exp FROM AcmeSoft.tblAbstractGoals"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceOrganizations" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name FROM AcmeSoft.tblOrganizations"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceUsers" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT UserId, UserName FROM aspnet_Users"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourseTopicsCourseTopicMaterials" runat="server"
    ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>" SelectCommand="SELECT id, name FROM AcmeSoft.tblCourseTopics">
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceAbstractGoal" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblAbstractGoals WHERE (id = @id)" SelectCommand="SELECT AcmeSoft.tblAbstractGoals.id, AcmeSoft.tblAbstractGoals.organizationId, AcmeSoft.tblAbstractGoals.userId, AcmeSoft.tblAbstractGoals.name, AcmeSoft.tblAbstractGoals.code, AcmeSoft.tblAbstractGoals.exp, AcmeSoft.tblAbstractGoals.prerequisites, AcmeSoft.tblOrganizations.name AS OrgName, aspnet_Users.UserName FROM AcmeSoft.tblAbstractGoals INNER JOIN AcmeSoft.tblOrganizations ON AcmeSoft.tblAbstractGoals.organizationId = AcmeSoft.tblOrganizations.id INNER JOIN aspnet_Users ON AcmeSoft.tblAbstractGoals.userId = aspnet_Users.UserId"
    InsertCommand="INSERT INTO AcmeSoft.tblAbstractGoals(organizationId, userId, name, code, exp, prerequisites) VALUES (@organizationId, @userId, @name, @code, @exp, @prerequisites)"
    UpdateCommand="UPDATE AcmeSoft.tblAbstractGoals SET organizationId = @OrgName, userId = @UserName, name = @name, code = @code, exp = @exp, prerequisites = @prerequisites WHERE id = @id">
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="OrgName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="prerequisites" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="organizationId" />
        <asp:Parameter Name="userId" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="prerequisites" />
    </InsertParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourses" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblCourses WHERE (id = @id)" SelectCommand="SELECT AcmeSoft.tblCourses.id, AcmeSoft.tblCourses.goalId, AcmeSoft.tblCourses.userId, AcmeSoft.tblCourses.name, AcmeSoft.tblCourses.code, AcmeSoft.tblCourses.durationType, AcmeSoft.tblCourses.duration, AcmeSoft.tblCourses.exp, AcmeSoft.tblCourses.credit, AcmeSoft.tblAbstractGoals.name AS GoalName, aspnet_Users.UserName FROM AcmeSoft.tblCourses INNER JOIN AcmeSoft.tblAbstractGoals ON AcmeSoft.tblCourses.goalId = AcmeSoft.tblAbstractGoals.id INNER JOIN aspnet_Users ON AcmeSoft.tblCourses.userId = aspnet_Users.UserId WHERE (AcmeSoft.tblCourses.goalId = @id)"
    InsertCommand="INSERT INTO AcmeSoft.tblCourses(goalId, userId, name, code, durationType, duration, exp, credit) VALUES (@GoalName, @UserName, @name, @code, @durationType, @duration, @exp, @credit)"
    UpdateCommand="UPDATE AcmeSoft.tblCourses SET goalId = @GoalName, userId = @UserName, name = @name, durationType = @durationType, code = @code, duration = @duration, exp = @exp, credit = @credit WHERE id = @id">
    <SelectParameters>
        <asp:Parameter Name="id" />
    </SelectParameters>
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="GoalName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="durationType" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="duration" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="credit" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="GoalName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="durationType" />
        <asp:Parameter Name="duration" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="credit" />
    </InsertParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourseTopics" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblCourseTopics WHERE (id = @id)" SelectCommand="SELECT AcmeSoft.tblCourseTopics.id, AcmeSoft.tblCourseTopics.courseId, AcmeSoft.tblCourseTopics.userId, AcmeSoft.tblCourseTopics.objectiveId, AcmeSoft.tblCourseTopics.name, AcmeSoft.tblCourseTopics.code, AcmeSoft.tblCourseTopics.exp, AcmeSoft.tblCourseTopics.duration, AcmeSoft.tblCourseTopics.durationType, AcmeSoft.tblCourseTopics.viewOrder, AcmeSoft.tblCourseObjectives.name AS ObjName, AcmeSoft.tblCourses.name AS CourseName, aspnet_Users.UserName FROM AcmeSoft.tblCourseTopics INNER JOIN aspnet_Users ON AcmeSoft.tblCourseTopics.userId = aspnet_Users.UserId INNER JOIN AcmeSoft.tblCourseObjectives ON AcmeSoft.tblCourseTopics.objectiveId = AcmeSoft.tblCourseObjectives.id INNER JOIN AcmeSoft.tblCourses ON AcmeSoft.tblCourseTopics.courseId = AcmeSoft.tblCourses.id WHERE (AcmeSoft.tblCourseTopics.courseId = @id)"
    InsertCommand="INSERT INTO AcmeSoft.tblCourseTopics(courseId, objectiveId, userId, name, code, durationType, duration, exp, viewOrder) VALUES (@CourseName, @ObjName @UserName, @name, @code, @durationType, @duration, @exp, @viewOrder)"
    UpdateCommand="UPDATE AcmeSoft.tblCourseTopics SET courseId = @CourseName, objectiveId = @ObjName, userId = @UserName, name = @name, durationType = @durationType, code = @code, duration = @duration, exp = @exp, viewOrder = @viewOrder WHERE id = @id">
    <SelectParameters>
        <asp:Parameter Name="id" />
    </SelectParameters>
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="CourseName" />
        <asp:Parameter Name="ObjName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="durationType" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="duration" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="viewOrder" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="CourseName" />
        <asp:Parameter Name="ObjName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="durationType" />
        <asp:Parameter Name="duration" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="viewOrder" />
    </InsertParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourseTopicMaterials" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblCourseTopicMaterials WHERE (id = @id)"
    SelectCommand="SELECT AcmeSoft.tblCourseTopicMaterials.topicId, AcmeSoft.tblCourseTopicMaterials.userId, AcmeSoft.tblCourseTopicMaterials.name, AcmeSoft.tblCourseTopicMaterials.id, AcmeSoft.tblCourseTopicMaterials.code, AcmeSoft.tblCourseTopicMaterials.viewOrder, AcmeSoft.tblCourseTopicMaterials.filePath, AcmeSoft.tblCourseTopicMaterials.exp, aspnet_Users.UserName, AcmeSoft.tblCourseTopics.name AS TopicName FROM AcmeSoft.tblCourseTopicMaterials INNER JOIN aspnet_Users ON AcmeSoft.tblCourseTopicMaterials.userId = aspnet_Users.UserId INNER JOIN AcmeSoft.tblCourseTopics ON AcmeSoft.tblCourseTopicMaterials.topicId = AcmeSoft.tblCourseTopics.id WHERE (AcmeSoft.tblCourseTopicMaterials.topicId = @id)"
    InsertCommand="INSERT INTO AcmeSoft.tblCourseTopicMaterials(topicId, userId, name, code, exp, filePath, viewOrder) VALUES (@TopicName, @UserName, @name, @code, @exp, @filePath, @viewOrder)"
    UpdateCommand="UPDATE AcmeSoft.tblCourseTopicMaterials SET userId = @UserName, name = @name, code = @code, filePath = @filePath, exp = @exp, viewOrder = @viewOrder WHERE id = @id">
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <SelectParameters>
        <asp:Parameter Name="id" />
    </SelectParameters>
    <UpdateParameters>
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="filePath" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="viewOrder" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="TopicName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="filePath" />
        <asp:Parameter Name="viewOrder" />
    </InsertParameters>
</asp:SqlDataSource>
