﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Organizations.ascx.cs"
    Inherits="acmesoft.web.ascx.Organizations" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the Organization with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
</script>

<cc1:Grid ID="grid1" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    RowEditTemplateId="tplRowEdit" DataSourceID="SqlDataSource1" OnInsertCommand="grid1_InsertCommand" Width="100%">
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="ID" Width="0"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Organization Name" Width="50%">
            <TemplateSettings RowEditTemplateControlId="txtName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="50%">
            <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="serverId" HeaderText="Server Name"
            Width="200px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="ddlServers" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
            Width="120" runat="server" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 340px; height: 75px;">
                                <legend>Organization Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            Name:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtName" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Code:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtCode" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Server Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlServers" DataSourceID="SqlDataSourceServers"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="52"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <asp:Label runat="server" ID="txtId" Width="6" Enabled="false" />
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<asp:Label ID="Label1" runat="server" ForeColor="Red"></asp:Label>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblOrganizations WHERE id = @id" 
    SelectCommand="SELECT AcmeSoft.tblOrganizations.id, AcmeSoft.tblOrganizations.serverId, AcmeSoft.tblOrganizations.name, AcmeSoft.tblOrganizations.code, AcmeSoft.tblServers.name AS ServerName FROM AcmeSoft.tblOrganizations INNER JOIN AcmeSoft.tblServers ON AcmeSoft.tblOrganizations.serverId = AcmeSoft.tblServers.id ORDER BY AcmeSoft.tblOrganizations.name"
    InsertCommand="INSERT INTO AcmeSoft.tblOrganizations(name, code, serverId) VALUES (@name, @code, @serverId)"
    UpdateCommand="UPDATE AcmeSoft.tblOrganizations SET name = @name, code = @code, serverId = @serverId WHERE id = @id">
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="serverId" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
    <%--<InsertParameters>
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="serverId" />
    </InsertParameters>--%>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceServers" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name FROM AcmeSoft.tblServers ORDER BY name"></asp:SqlDataSource>
